# Generated by Django 3.2.25 on 2024-10-07 10:22

from django.db import migrations, models
import django.db.models.deletion


def migrate_value(apps, schema_editor):
    UpcomingEventsPlugin = apps.get_model("djangocms_blog_agenda.UpcomingEventsPlugin")
    UpcomingEventsPlugin.objects.filter(show_until_event_end=True).update(
        hide_events_after="end"
    )


class Migration(migrations.Migration):
    dependencies = [
        ("djangocms_blog", "0042_alter_authorentriesplugin_cmsplugin_ptr_and_more"),
        ("cms", "0022_auto_20180620_1551"),
        ("djangocms_blog_agenda", "0006_rename"),
    ]

    operations = [
        migrations.CreateModel(
            name="AgendaBlogCategory",
            fields=[],
            options={
                "proxy": True,
                "indexes": [],
                "constraints": [],
            },
            bases=("djangocms_blog.blogcategory",),
        ),
        migrations.AddField(
            model_name="upcomingeventsplugin",
            name="hide_events_after",
            field=models.CharField(
                choices=[
                    ("start", "after event start date"),
                    ("start+1h", "1h after event start date"),
                    ("start+4h", "4h after event start date"),
                    ("start+1d", "1d after event start date"),
                    ("start+2d", "2d after event start date"),
                    ("start+3d", "3d after event start date"),
                    ("start+7d", "7d after event start date"),
                    ("end", "after event end date"),
                ],
                default="start",
                max_length=100,
                verbose_name="Hide events",
            ),
        ),
        migrations.RunPython(migrate_value, migrations.RunPython.noop),
        migrations.AlterField(
            model_name="upcomingeventsplugin",
            name="cmsplugin_ptr",
            field=models.OneToOneField(
                auto_created=True,
                on_delete=django.db.models.deletion.CASCADE,
                parent_link=True,
                primary_key=True,
                related_name="djangocms_blog_agenda_upcomingeventsplugin",
                serialize=False,
                to="cms.cmsplugin",
            ),
        ),
        migrations.RemoveField(
            model_name="upcomingeventsplugin",
            name="show_until_event_end",
        ),
    ]
